#ifndef THEMISINDEXFILEVIEWER_H
#define THEMISINDEXFILEVIEWER_H

#include <QWidget>
#include <themisindexfile.h>

namespace Ui {
class ThemisIndexFileViewer;
}

class ThemisIndexFileViewer : public QWidget
{
    Q_OBJECT

public:
    explicit ThemisIndexFileViewer(QWidget *parent = 0);
    ~ThemisIndexFileViewer();

public slots:
    void filterCol(const QString& pattern);
    void loadFile();
protected:
    void changeEvent(QEvent *e);

private:
    Ui::ThemisIndexFileViewer *ui;
    ThemisIndexFile* indexFile;
};

#endif // THEMISINDEXFILEVIEWER_H
